cmake_minimum_required(VERSION 2.6)
project(spmod_score_player)

set(spmod_score_player_SRCS
	mod_score_player.cpp
	scoreplayer.h
	scoreplayer.cpp
	instrselect.h
	instrselect.cpp
)

add_library (spmod_score_player MODULE ${spmod_score_player_SRCS})
target_link_libraries(spmod_score_player spcore)
target_link_libraries(spmod_score_player ${Boost_THREAD_LIBRARY})

INSTALL (TARGETS spmod_score_player RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION ${PLUGINDIR})